<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'mod_stream', language 'en'.
 *
 * @package    mod_stream
 * @copyright  2024 mattandor <mattan@centricapp.co.il>
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['modulename'] = 'STREAM';
$string['modulename_help'] =
        'Stream is a cutting-edge video platform designed for schools, seamlessly integrating with current systems for optimal teaching. This Moodle plugin brings Stream\'s advanced features into your LMS, enriching the learning journey for both teachers and students.';
$string['modulenameplural'] = 'STREAM';
$string['pluginadministration'] = 'Stream administration';
$string['stream'] = 'STREAM';
$string['loadind'] = 'Loading video list...';
$string['privacy:metadata'] =
        'The STREAM if integrated with <a href="https://www.centricstream.co.il">CentricApp</a> will save data for detection of piracy.';
$string['stream:addinstance'] = 'Add a new STREAM';
$string['stream:view'] = 'View STREAM';
$string['safetyid'] = 'Student ID';
$string['safetynone'] = 'Anything';
$string['apiidentifier'] = 'Stream API Identifier';
$string['identifier'] = 'Video identifier';
$string['accountid'] = 'Stream account ID';
$string['apiidentifier_desc'] = 'The identifier field to use when making a call to the Stream API';
$string['apiendpoint'] = 'Stream API Endpoint';
$string['topic'] = 'Video Topic';
$string['apiendpoint_desc'] = 'Choose which Stream API endpoint the Stream activity will use to connect.';
$string['accountid_desc'] = '';
$string['search'] = 'Search';
$string['connectionfailed'] = 'Connection failed: ';
$string['connectionok'] = 'Connection working.';
$string['connectionsettings'] = 'Connection settings';
$string['connectionsettings_desc'] = 'These settings define how Moodle connects to Stream.';
$string['connectionstatus'] = 'Connection status';
$string['nametitle'] = 'Title';
$string['noresults'] = 'No results or videos were found.';
